string[] st = Console.ReadLine().Split();
int n = int.Parse(st[0]);
int m = int.Parse(st[1]);
int[,] a = new int[n, 2];
for (int i = 0; i < n; i++)
{
    st = Console.ReadLine().Split();
    a[i, 0] = int.Parse(st[0]);
    a[i, 1] = int.Parse(st[1]);
}

int[] b = new int[m];
for (int i = 0; i < m; i++)
{
    st = Console.ReadLine().Split();
    int l = int.Parse(st[0]);
    int r = int.Parse(st[1]);
    int x = int.Parse(st[2]);
    for (int j = l - 1; j < r; j++)
    {
        if (x >= a[j, 0] && x <= a[j, 1])
        {
            b[i]++;
        }
    }
}
for (int i = 0; i < m; i++)
{
    Console.WriteLine(b[i]);
}